--- armada-xp-synology-ds214.dts.orig	2022-11-03 08:00:35.000000000 -0700
+++ armada-xp-synology-ds214.dts	2022-11-22 16:50:38.415034671 -0800
@@ -25,8 +25,8 @@
 #include "armada-xp-mv78230.dtsi"
 
 / {
-	model = "Synology DS414";
-	compatible = "synology,ds414", "marvell,armadaxp-mv78230",
+	model = "Synology DS214";
+	compatible = "synology,ds414", "synology,ds214", "marvell,armadaxp-mv78230",
 		     "marvell,armadaxp", "marvell,armada-370-xp";
 
 	chosen {
@@ -95,17 +95,14 @@
 				status = "okay";
 				pinctrl-0 = <&ge0_rgmii_pins>;
 				pinctrl-names = "default";
-				phy = <&phy1>;
-				phy-mode = "rgmii-id";
-			};
-
-			ethernet@74000 {
-				pinctrl-0 = <&ge1_rgmii_pins>;
-				pinctrl-names = "default";
-				status = "okay";
 				phy = <&phy0>;
 				phy-mode = "rgmii-id";
 			};
+
+                        sata@a0000 {
+                                nr-ports = <2>;
+                                status = "okay";
+                        };
 		};
 	};
 
@@ -113,8 +110,7 @@
 		compatible = "simple-bus";
 		#address-cells = <1>;
 		#size-cells = <0>;
-		pinctrl-0 = <&sata1_pwr_pin &sata2_pwr_pin
-			     &sata3_pwr_pin &sata4_pwr_pin>;
+		pinctrl-0 = <&sata1_pwr_pin &sata2_pwr_pin>;
 		pinctrl-names = "default";
 
 		sata1_regulator: sata1-regulator@1 {
@@ -143,31 +139,6 @@
 			gpio = <&gpio1 12 GPIO_ACTIVE_HIGH>;
 		};
 
-		sata3_regulator: sata3-regulator@3 {
-			compatible = "regulator-fixed";
-			reg = <3>;
-			regulator-name = "SATA3 Power";
-			regulator-min-microvolt = <5000000>;
-			regulator-max-microvolt = <5000000>;
-			startup-delay-us = <6000000>;
-			enable-active-high;
-			regulator-always-on;
-			regulator-boot-on;
-			gpio = <&gpio1 13 GPIO_ACTIVE_HIGH>;
-		};
-
-		sata4_regulator: sata4-regulator@4 {
-			compatible = "regulator-fixed";
-			reg = <4>;
-			regulator-name = "SATA4 Power";
-			regulator-min-microvolt = <5000000>;
-			regulator-max-microvolt = <5000000>;
-			startup-delay-us = <8000000>;
-			enable-active-high;
-			regulator-always-on;
-			regulator-boot-on;
-			gpio = <&gpio1 14 GPIO_ACTIVE_HIGH>;
-		};
 	};
 };
 
@@ -196,12 +167,9 @@
 
 &mdio {
 	phy0: ethernet-phy@0 { /* Marvell 88E1512 */
-		reg = <0>;
-	};
-
-	phy1: ethernet-phy@1 { /* Marvell 88E1512 */
 		reg = <1>;
 	};
+
 };
 
 &pinctrl {
@@ -215,16 +183,6 @@
 		marvell,function = "gpio";
 	};
 
-	sata3_pwr_pin: sata3-pwr-pin {
-		marvell,pins = "mpp45";
-		marvell,function = "gpio";
-	};
-
-	sata4_pwr_pin: sata4-pwr-pin {
-		marvell,pins = "mpp46";
-		marvell,function = "gpio";
-	};
-
 	sata1_pres_pin: sata1-pres-pin {
 		marvell,pins = "mpp34";
 		marvell,function = "gpio";
@@ -235,16 +193,6 @@
 		marvell,function = "gpio";
 	};
 
-	sata3_pres_pin: sata3-pres-pin {
-		marvell,pins = "mpp40";
-		marvell,function = "gpio";
-	};
-
-	sata4_pres_pin: sata4-pres-pin {
-		marvell,pins = "mpp41";
-		marvell,function = "gpio";
-	};
-
 	syno_id_bit0_pin: syno-id-bit0-pin {
 		marvell,pins = "mpp26";
 		marvell,function = "gpio";
